{
    "parent":"base:block_events_default",
    "stringId": "omni_power:block_events_lever_red_off",
    "triggers":
    {
        "onInteract":
        [
            {
                "actionId": "base:run_trigger",
                "parameters": 
                {
                    "xOff": 0, "yOff": 0, "zOff": 0,
                    "triggerId": "switch_on"
                }
            }
        ],
        "switch_on":
        [
            {
                "actionId": "base:play_sound_2d",
                "parameters":
                {
                    "sound": "omni_power:maximize_006.ogg",
                    "volume": 1,
                    "pitch": 1,
                    "pan": 0
                }
            },
            {
                "actionId": "omni_power:power",
                "parameters":
                {
                    "triggerId": "power_up_red",
                    "cable_group": "cable_red"
                }
            }
        ],
        "power_up_red":
        [
            {
                "actionId": "base:replace_block_state",
                "parameters":
                {
                    "xOff": 0, "yOff": 0, "zOff": 0,
                    "blockStateId": "omni_power:lever[powered,cable_red]"
                }
            }
        ]
    }
}